import type { PluginConfig } from './plugin';
export interface Command {
    target: string;
    message: string;
}
export interface BotConf {
    server: string;
    nick: string;
    setTopic: boolean;
    topicBase?: string;
    connectCommands: Command[];
    joinCommands: Record<string, Command[]>;
    clientOptions: Record<string, number | string | boolean>;
    plugins: Record<string, PluginConfig>;
}
export interface Message {
    cmd: string;
    callback: Function;
}
export interface BotCommand {
    cmd: string;
    channel: string[];
    exclude: string[];
    callback: Function;
}
declare const _default: BotConf;
export default _default;
