"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const winston_1 = __importDefault(require("winston"));
const { combine, timestamp, label, simple, json, colorize } = winston_1.default.format;
function getLogger(labels) {
    labels.environment = process.env.NODE_ENV || 'development';
    const isDev = labels.environment == 'development';
    const dev = combine(colorize(), label(labels), timestamp(), simple());
    const prod = combine(label(labels), timestamp(), json());
    return winston_1.default.createLogger({
        format: isDev ? dev : prod,
        transports: [
            new winston_1.default.transports.Console({
                level: isDev ? 'debug' : 'info',
                handleExceptions: true,
            }),
        ],
    });
}
exports.default = getLogger;
