import type { Logger } from 'winston';
import type { IMessage } from 'irc';
export type { Client } from 'irc';
export type { Logger } from 'winston';
export interface Message extends IMessage {
    nick: string;
    user: string;
    host: string;
    server: string;
}
export interface PluginConfig {
    pluginOptions: {
        channels: string[];
        channelsToExclude: string[];
    };
}
export declare class Plugin {
    config: PluginConfig;
    logger: Logger;
    commands: Record<string, Function>;
    privateCommands: Record<string, Function>;
    constructor(config: PluginConfig, logger: Logger);
}
